Bug 1314697 - Kernel 4.4.3-300.fc23.x86_64 is not stable inside a KVM VM
Kernel 4.4.3-300.fc23.x86_64 is not stable inside a KVM VM
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 04:37 EST by Gerhard Wiesinger
Modified: 2017-08-08 09:06 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:06:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel Panic (224.81 KB, image/png)
2016-03-21 16:40 EDT, Gerhard Wiesinger
no flags Details

  None (edit)
Description Gerhard Wiesinger 2016-03-04 04:37:20 EST
Description of problem:
Kernel 4.4.3-300.fc23.x86_64 is not stable inside a KVM VM (on the KVM Host the same kernel), just crashes unmotivated without any further information available. Happens on 2 VMs, once even <2min after a boot.
ssh login is not possible any more, but in virt-manager console you can still press Enter once, and the following information is displayed: [23323.248333] hrtimer: interrupt took 4000120 ns (maybe it was also writtten before to the console). Afterwards also the console is dead.

Previous kernel version on guest/host was rocket stable. Revert to kernel-4.3.5-300.fc23.x86_64 also solved it.

Version-Release number of selected component (if applicable):
Kernel 4.4.3-300.fc23.x86_64
qemu-kvm-2.4.1-7.fc23.x86_64

How reproducible:
Run kernel

Steps to Reproduce:
1. Run kernel

Actual results:
Unmotivated freeze of the VM

Expected results:
Stable kernel

Additional info:
Sorry, nothing available.
Comment 1 Gerhard Wiesinger 2016-03-12 04:04:28 EST
Same for 4.4.4-301.fc23.x86_64
Kernel seems not to be dead at all (e.g. ping works) at least in that crash
Comment 2 Gerhard Wiesinger 2016-03-21 16:37:31 EDT
Same for 4.4.5-300.fc23.x86_64
Comment 3 Gerhard Wiesinger 2016-03-21 16:40 EDT
Created attachment 1138791 [details]
Kernel Panic

Had also a kernel panic
Comment 4 Gerhard Wiesinger 2016-05-18 14:09:44 EDT
Seems to be a problem of the OOM killer:

Addressed in kernel 4.6:
http://kernelnewbies.org/LinuxChanges#head-e7703fdbdd0f2bba4a0492b6e07ac1598c193de2
http://kernelnewbies.org/LinuxChanges

I modified all my VMs with the following settings:
vm.swappiness=10
vm.overcommit_memory=2
vm.overcommit_ratio=80
vm.dirty_ratio=15
vm.dirty_background_ratio=3

Works now stable, I only had once a problem, that a process was killed by OOM (but no kernel crash).

Especially the previous setting vm.swappiness=0 has problems in low memory situations.

References:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Performance_Tuning_Guide/s-memory-tunables.html
https://www.percona.com/blog/2014/04/28/oom-relation-vm-swappiness0-new-kernel/
Comment 5 Laura Abbott 2016-09-23 15:28:03 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Gerhard Wiesinger 2016-09-25 08:23:12 EDT
Same with 4.7.4
Comment 7 Gerhard Wiesinger 2016-12-08 06:59:40 EST
Same with:
4.9.0-0.rc8.git2.1.fc26.x86_64
Comment 8 Gerhard Wiesinger 2016-12-24 07:33:59 EST
For reference: That commit might help
mm: try to exhaust highatomic reserve before the OOM
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/?id=04c8716f7b0075def05dc05646e2408f318167d2
Comment 9 Justin M. Forbes 2017-04-11 10:43:50 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 10 Gerhard Wiesinger 2017-04-11 14:00:10 EDT
Although getting better, still a problem with: 4.11.0-0.rc6.git0.1.fc26.x86_64
Seems to be a memory leak in the kernel or fs, or a problem in the mm.
Comment 11 Fedora End Of Life 2017-07-25 16:17:35 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2017-08-08 09:06:06 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.